@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600&display=swap");

* {
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  color: #fff;
  line-height: 1.6;
}
/*Base Styles */
img {
  display: block;
  width: 100%;
  max-width: 100%;
}
.container {
  width: 100%;
  margin: auto;
}
.container--flex {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}
.column {
  width: 100%;
}
/*Header Styles */
.main-header {
  width: 100%;
}
.logo {
  font-size: 1.8em;
  padding: 10px;
  font-weight: 100;
}
/*Menu Styles */
.main-nav {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 2000;
  padding: 10px;
  background: rgba(0, 0, 0, 0.85);
}
.icon-menu {
  display: block;
  color: white;
  border: 1px solid white;
  border-radius: 3px;
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  cursor: pointer;
  font-size: 1.5em;
}
.menu {
  position: absolute;
  top: 60px;
  left: 0;
  width: 100%;
  background: rgba(0, 0, 0, 0.85);
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  height: 0;
  overflow: hidden;
  transition: height 0.3s linear;
}
.menu__link {
  display: block;
  padding: 14px;
  color: white;
  text-decoration: none;
}
.menu__link:hover {
  background: rgb(166, 145, 121);
}
/* .menu__link--select {
  background: rgb(166, 145, 121);
} */
.show {
  height: 212px;
}
/*Banner Styles */
.banner {
  position: relative;
}
.banner:before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.1);
  z-index: 1000;
  top: 0;
}
.banner__img {
  width: 100%;
  height: 500px;
  object-fit: cover;
}
/*Main Styles*/
.home-services .container {
  color: rgb(166, 145, 121);
  padding: 10px;
  text-align: center;
}
.main__about__description {
  align-items: flex-start;
}
.main__title {
  margin: 15px 0;
  font-size: 2em;
  font-weight: bolder;
}
.column__title {
  font-size: 1.4em;
  font-weight: unset;
  text-align: center;
  color: rgb(166, 145, 121);
}
.column__txt {
  text-align: center;
  color: rgb(166, 145, 121);
}
.group__title-contact {
  text-align: center;
  font-weight: bolder;
  font-size: 2em;
  margin: 30px;
  color: rgb(166, 145, 121);
}
.group__title-services {
  text-align: center;
  font-weight: bolder;
  font-size: 2em;
  margin: 30px;
  padding: 30px;
  color: rgb(166, 145, 121);
}
.column__title-contact {
  font-size: 1.4em;
  font-weight: unset;
  text-align: left;
  color: #222;
}
.column__txt-contact {
  margin: 5px;
  color: #222;
}
.btn {
  display: block;
  text-align: center;
  text-decoration: none;
  font-weight: bold;
  width: 180px;
  background: rgb(166, 145, 121);
  color: #222;
  padding: 10px;
  margin: 20px auto;
}
/* Reviews Styles*/
.reviews {
  background-image: url(../img/Project1A.jpg);
}
.title-review {
  text-align: center;
  font-weight: bolder;
  font-size: 2em;
  margin: 30px;
  padding: 30px;
  color: rgb(166, 145, 121);
}
.container-reviews {
  position: relative;
  width: 300px;
  height: 400px;
  margin: 10px;
  background: rgb(241, 235, 235);
}
.review-content {
  display: block;
  width: 300px;
  height: 400px;
  margin-bottom: 80px;
}
.overlay {
  position: absolute;
  bottom: 100%;
  left: 0;
  right: 0;
  background-color: rgb(166, 145, 121);
  overflow: hidden;
  width: 100%;
  height: 0;
  transition: 0.5s ease;
}

.container-reviews:hover .overlay {
  bottom: 0;
  height: 100%;
}
.text-overlay {
  text-align: center;
  padding-top: 50px;
  margin: 10px;
}
.initial {
  text-align: center;
  font-size: 40px;
  position: absolute;
  overflow: hidden;
  top: 6%;
  left: 30%;
  color: #72725e;
  background: rgb(182, 177, 177);
  padding: 50px;
  border-radius: 50%;
}
.start {
  text-align: center;
  font-size: 40px;
  position: absolute;
  overflow: hidden;
  top: 46%;
  left: 24%;
  color: #c9c905;
}
.title {
  color: #72725e;
  text-align: center;
  font-size: 20px;
  position: absolute;
  overflow: hidden;
  top: 60%;
  left: 28%;
}
.text {
  color: #72725e;
  text-align: center;
  font-size: 18px;
  position: absolute;
  overflow: hidden;
  top: 72%;
  left: 2%;
}
.namedate {
  color: #72725e;
  text-align: center;
  font-size: 18px;
  position: absolute;
  overflow: hidden;
  top: 92%;
  left: 22%;
}
/*Footer Styles*/
.main-footer {
  background: rgb(0, 0, 0);
  color: white;
  padding: 10px;
  padding-top: 40px;
  padding-bottom: 40px;
  font-size: 0.8em;
}
.copy {
  text-align: center;
  margin: auto;
  margin-top: 15px;
}
/*Responsive Styles*/
@media screen and (min-width: 320px) {
  .logo {
    font-size: 1.1em;
    text-align: center;
    margin-left: 10px;
  }
  .icon-menu {
    margin-top: 8px;
  }
  .main__title {
    text-align: center;
    margin-left: 20px;
    font-size: 2em;
    font-weight: bolder;
  }
  .column__title {
    font-size: 1.4em;
    font-weight: unset;
    text-align: center;
    margin-left: 10px;
    color: rgb(166, 145, 121);
  }
  .column__txt {
    text-align: center;
    padding: 10px;
    color: rgb(166, 145, 121);
  }
  .title-review {
    text-align: center;
    margin-left: 60px;
  }
  .container-reviews {
    width: 300px;
    height: 400px;
    margin: 10px;
  }
  .main-footer {
    padding-bottom: 10px;
  }
}

@media screen and (min-width: 375px) {
  .container-reviews {
    width: 300px;
    height: 400px;
    margin: 10px;
    margin-left: 40px;
  }
}
@media screen and (min-width: 425px) {
  .container-reviews {
    width: 300px;
    height: 400px;
    margin-left: 60px;
  }
}
@media screen and (min-width: 480px) {
  .main-nav {
    background: rgba(0, 0, 0, 0.85);
  }
  .column--50 {
    width: 100%;
  }
  .column--33 {
    width: 100%;
  }
  .main__about__description {
    align-items: flex-start;
  }
  .container-reviews {
    width: 300px;
    height: 400px;
    margin-left: 90px;
  }
}
@media screen and (min-width: 768px) {
  .logo {
    font-size: 1.4em;
  }
  .column--50 {
    width: 49%;
    align-items: flex-start;
  }
  .column--33 {
    width: 49%;
  }
  .column__title {
    font-size: 1.8em;
  }
  .main__title {
    font-size: 2.4em;
  }
  .container-reviews {
    width: 300px;
    height: 400px;
    margin: 10px;
    margin-left: 40px;
  }
}

@media screen and (min-width: 1024px) {
  .container {
    width: 1000px;
  }
  .logo {
    font-size: 1.7em;
    padding: 0;
  }
  .main-nav {
    padding: 0;
  }
  .icon-menu {
    display: none;
  }
  .menu {
    position: static;
    display: flex;
    height: auto;
    width: auto;
  }
  .menu__link {
    padding: 20px;
  }
  .main__title {
    font-size: 2.8em;
  }
  .column--33 {
    width: 32%;
  }
  .container-reviews {
    width: 300px;
    height: 400px;
    margin: 10px;
  }
  .main-footer {
    padding-top: 30px;
    padding-bottom: 30px;
  }
}
@media screen and (min-width: 1600px) {
  .container {
    width: 1400px;
  }
 
}
